OpenVDB 13.0.0

Loading...
Searching...
No Matches
InternalNode< ChildT, Log2Dim >::ValueIterator Class Reference

Visits all tile values in this node, i.e. both inactive and active tiles. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for InternalNode< ChildT, Log2Dim >::ValueIterator:

## Public Member Functions
__hostdev__ | ValueIterator ()
__hostdev__ | ValueIterator (const InternalNode *parent)
ValueIterator & | operator= (const ValueIterator &)=default
__hostdev__ ValueType | operator* () const
__hostdev__ CoordType | getOrigin () const
__hostdev__ CoordType | getCoord () const
__hostdev__ bool | isActive () const

## Detailed Description

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
class nanovdb::InternalNode< ChildT, Log2Dim >::ValueIterator

Visits all tile values in this node, i.e. both inactive and active tiles.

## Constructor & Destructor Documentation

## ◆ ValueIterator() [1/2]

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ ValueIterator | ( |  | ) |
| inline

## ◆ ValueIterator() [2/2]

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ ValueIterator | ( | const InternalNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ CoordType getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ CoordType getOrigin | ( |  | ) | const
| inline

## ◆ isActive()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ bool isActive | ( |  | ) | const
| inline

## ◆ operator*()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

__hostdev__ ValueType operator* | ( |  | ) | const
| inline

## ◆ operator=()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ValueIterator & operator= | ( | const ValueIterator & |  | ) |
| default